Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/cyclone.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/cyclone.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/cyclone.F90	(revision 7740)
@@ -41,5 +41,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , LOCEAN-IPSL (2010) 
-   !! $Id: module_example 1146 2008-06-25 11:42:56Z rblod $ 
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/geo2ocean.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/geo2ocean.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/geo2ocean.F90	(revision 7740)
@@ -45,5 +45,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 7740)
@@ -109,5 +109,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2011)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 7740)
@@ -43,5 +43,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2011) 
-   !! $Id: $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 7740)
@@ -86,5 +86,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2011)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_mfs.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_mfs.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_mfs.F90	(revision 7740)
@@ -46,5 +46,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
-   !! $Id: sbcblk_mfs.F90 1730 2009-11-16 14:34:19Z poddo $
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcdcy.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcdcy.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcdcy.F90	(revision 7740)
@@ -32,5 +32,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO-consortium (2010) 
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90	(revision 7740)
@@ -81,5 +81,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.0 , LOCEAN-IPSL (2008)
-   !! $Id: sbcice_if.F90 1730 2009-11-16 14:34:19Z smasson $
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbctide.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbctide.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbctide.F90	(revision 7740)
@@ -36,5 +36,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.5 , NEMO Consortium (2013)
-   !! $Id: $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90	(revision 7740)
@@ -39,5 +39,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2011) 
-   !! $Id: $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/tide_mod.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/tide_mod.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/tide_mod.F90	(revision 7740)
@@ -35,5 +35,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , LOCEAN-IPSL (2010) 
-   !! $Id:$ 
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 7740)
@@ -36,5 +36,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.5 , NEMO Consortium (2013)
-   !! $Id: $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/updtide.F90
===================================================================
--- branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/updtide.F90	(revision 7738)
+++ branches/UKMO/dev_r5785_SSS_obsoper/trunk/NEMOGCM/NEMO/OPA_SRC/SBC/updtide.F90	(revision 7740)
@@ -26,5 +26,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: sbcfwb.F90 3625 2012-11-21 13:19:18Z acc $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------