Index: unk/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios_omp.fcm
===================================================================
--- /trunk/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios_omp.fcm	(revision 7754)
+++ 	(revision )
@@ -1,62 +1,0 @@
-# mpi ifort compiler options for ATHENA using XIOS parallel writer server
-#
-#
-# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
-# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
-# XIOS_HOME   root directory containing lib for XIOS
-# OASIS_HOME  root directory containing lib for OASIS
-#
-# NCDF_INC    netcdf4 include file
-# NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
-# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
-# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
-#
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    complete list of include files
-# USER_LIB    complete list of libraries to pass to the linker
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
-#
-# Note that:
-#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
-#  - fcm variables are starting with a % (and not a $)
-#
-
-# required modules
-# module load  INTEL/intel_xe_2013 NETCDF/netcdf-4.3_parallel NETCDF/parallel-netcdf-1.7.0 HDF5/hdf5-1.8.11_parallel
-
-# NETCDF and PNETCDF should be set automatically when loading modules.
-# The following environment variables must be set by the user.
-#export XIOS=/users/home/models/nemo/xios
-#export HDF5=/users/home/opt/hdf5/hdf5-1.8.11_parallel
-
-%NCDF_INC            -I${NETCDF}/include -I${PNETCDF}/include
-%NCDF_LIB            -L${NETCDF}/lib -lnetcdff -lnetcdf -L${PNETCDF}/lib -lpnetcdf
-%HDF5_INC            -I${HDF5}/include
-%HDF5_LIB            -L${HDF5}/lib -lhdf5_hl -lhdf5
-%XIOS_INC            -I${XIOS}/inc
-%XIOS_LIB            -L${XIOS}/lib -lxios
-%CPP                 cpp
-%FC                  mpiifort
-%FCFLAGS             -openmp -r8 -O3 -xHost -fp-model source -traceback
-%FFLAGS              %FCFLAGS
-%LD                  mpiifort
-%FPPFLAGS            -P -C -traditional
-%LDFLAGS             -openmp -lstdc++ -lz -lgpfs -lcurl
-%AR                  ar 
-%ARFLAGS             -r
-%MK                  gmake
-%USER_INC            %XIOS_INC %NCDF_INC %HDF5_INC
-%USER_LIB            %XIOS_LIB %NCDF_LIB %HDF5_LIB
-%CC                  icc
-%CFLAGS              -O0
Index: unk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_athena_xios_omp
===================================================================
--- /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_athena_xios_omp	(revision 7754)
+++ 	(revision )
@@ -1,111 +1,0 @@
-#!/bin/bash 
-#!
-#BSUB -q poe_short
-#BSUB -n TOTAL_NPROCS
-#BSUB -a poe
-#BSUB -R "span[ptile=NPROC_NODE]"
-#BSUB -J NEMO_SETTE
-#BSUB -o poe.stdout.%J
-#BSUB -e poe.stderr.%J
-#BSUB -x
-
- 
-
-###############################################################
-# Test specific settings. Do not hand edit these lines; the fcm_job.sh script will set these
-# (via sed operating on this template job file). 
-#
-  OCEANCORES=NPROCS
-  XIOS_NUMPROCS=NXIOPROCS
-  export SETTE_DIR=DEF_SETTE_DIR
-
-  export MP_TASK_AFFINITY=mcm
-  export OMP_NUM_THREADS=OMP_NTHR
-
-###############################################################
-#
-# set up mpp computing environment
-#
-# Local settings for machine IBM Power6 (VARGAS at IDRIS France)
-#
-
-# export MPIRUN="mpirun -n $OCEANCORES"
-
-module load  INTEL/intel_xe_2013 NETCDF/netcdf-4.3_parallel NETCDF/parallel-netcdf-1.3.1 HDF5/hdf5-1.8.11_parallel
-export MPIRUN="mpirun.lsf"
-
-export LD_LIBRARY_PATH=${XIOS}/lib:${LD_LIBRARY_PATH}
-
-XIOS_SERVER_PATHNAME="${XIOS}/bin/xios_server.exe"
-
-#
-# load sette functions (only post_test_tidyup needed)
-#
-  . ${SETTE_DIR}/all_functions.sh
-
-
-# Don't remove neither change the following line 
-# BODY
-
-#
-# These variables are needed by post_test_tidyup function in all_functions.sh
-#
-  export EXE_DIR=DEF_EXE_DIR
-  export INPUT_DIR=DEF_INPUT_DIR
-  export CONFIG_DIR=DEF_CONFIG_DIR
-  export NEMO_VALIDATION_DIR=DEF_NEMO_VALIDATION
-  export NEW_CONF=DEF_NEW_CONF
-  export CMP_NAM=DEF_CMP_NAM
-  export TEST_NAME=DEF_TEST_NAME
-#
-# end of set up
-
-
-###############################################################
-#
-# change to the working directory 
-#
-cd ${EXE_DIR}
-
-#
-  echo Running on host `hostname`
-  echo Time is `date`
-  echo Directory is `pwd`
-# 
-#  Run the parallel MPI executable 
-#
-#  echo "Running time ${MPIRUN} " $OCEANCORES " ./opa"
-#
-
-  if [ MPI_FLAG == "yes" ]; then
-     if [ $XIOS_NUMPROCS -eq 0 ]; then
-       time ${MPIRUN} ./opa
-     else
-
-       export MP_PGMMODEL=mpmd
-       export MP_CMDFILE=xioscmdfile
-       rm xioscmdfile &> /dev/null
-       touch xioscmdfile
-       k=0
-       while (( k < $OCEANCORES )) ; do
-          echo ./opa >> xioscmdfile
-          k=`expr $k + 1`
-       done
-       k=0
-       while (( k < $XIOS_NUMPROCS )) ; do
-          echo $XIOS_SERVER_PATHNAME >> xioscmdfile
-          k=`expr $k + 1`
-       done
-
-       time ${MPIRUN}
-     fi
-  else
-     time ./opa
-  fi
-#
-  post_test_tidyup
-
-# END_BODY
-# Don't remove neither change the previous line 
-
-  exit